Bug 245045 - Review Request: re2c - Tool for generating C-based recognizers from regular expressions
Review Request: re2c - Tool for generating C-based recognizers from regular ...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-20 13:58 EDT by Matthias Saou
Modified: 2015-02-18 11:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.12.1-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-23 11:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sand.paul: fedora‑review?
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2007-06-20 13:58:06 EDT
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/re2c/re2c.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/re2c/re2c-0.12.1-1.src.rpm
re2c is a great tool for writing fast and flexible lexers. It has served many
people well for many years and it deserves to be maintained more actively.
re2c is on the order of 2-3 times faster than a flex based scanner, and its
input model is much more flexible.
Comment 1 Jochen Schmitt 2007-06-20 14:39:08 EDT
+ Naming is ok.
+ Tar ball matches with upstream.
+ Naming seems ok.
+ Rpmlint quite on source rpm.
+ Local build works fine.
+ Rpmlint quite on binary rpm.
+ Rpmlint quite on debuginfo rpm.
+ Filelist of binary rpm looks ok.
+ Local install and uninstall of the package works fine.
+ Mock build works fine.

- SPEC file specified MIT license but homepage of the project
  declare that the software may distribute as Public Domain.
- Package contains no verbatin copy of the license.
  (This is not a blocker. Please ask upstream to include
   a verbatin copy of the license text into the tar ball)

Comment 2 Matthias Saou 2007-06-20 16:12:02 EDT
You're absolutely right, Dag got it wrong on this one ;-) From the README :

"re2c is distributed with no warranty whatever.  The code is certain to
contain errors.  Neither the author nor any contributor takes
responsibility for any consequences of its use.

re2c is in the public domain.  The data structures and algorithms used
in re2c are all either taken from documents available to the general
public or are inventions of the author.  Programs generated by re2c may
be distributed freely.  re2c itself may be distributed freely, in source
or binary, unchanged or modified.  Distributors may charge whatever fees
they can obtain for re2c.

If you do make use of re2c, or incorporate it into a larger project an
acknowledgement somewhere (documentation, research report, etc.) would
be appreciated."

Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/re2c/re2c.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/re2c/re2c-0.12.1-2.src.rpm

* Wed Jun 20 2007 Matthias Saou <http://freshrpms.net/> 0.12.1-2
- Fix license tag to "Public Domain".
Comment 3 Jochen Schmitt 2007-06-20 16:24:37 EDT
+ License Tag noew right in package.

*** APPROVED ***
Comment 4 Matthias Saou 2007-06-20 16:28:03 EDT
Note that I've also updated the description, with a less "glorifying" text ;-)
I'd appreciate if someone double checked the bootstrap process of the build to
make sure I didn't miss anything before importing the package.

I think this is the quickest review anyone has ever done for me, thanks!!
Comment 5 Matthias Saou 2007-06-20 16:36:13 EDT
Oh, and the sourceforge page does state "License : MIT License, Public Domain",
so I guess asking for clarification to the developers anyway wouldn't be a bad
thing. I'll do that in all cases, be it before or after importing the package,
since both licenses are acceptable for inclusion.
Comment 6 Matthias Saou 2007-06-27 08:39:28 EDT
Answer from Dan :
"It was my intention when I created the project at SF to make new 
contributions under the MIT license, which is why it is listed on the SF 
project page. However, I never actually did put a copyright or license 
statement in any of the code stating that, so all the things I did are 
all public domain as far as I'm concerned.  I'll let Marcus speak to his 
contributions, which are much more than mine."

Answer from Marcus :
"the choice of MIT would be much better imho, if only it wasn't work i
consider unimportant. Maybe i will do that prior to 0.13.0 release. The
0.12.0 branch will stay as it is."

So "Public Domain" is correct for now, but I'll have to keep an eye open for the
probable license change of the next major version ;-)
Comment 7 Matthias Saou 2007-06-27 08:41:05 EDT
New Package CVS Request
Package Name: re2c
Short Description: Tool for generating C-based recognizers from regular expressions
Owners: matthias@rpmforge.net
Branches: devel F-7 FC-6 FC-5 EL-4 EL-5 (all current)
Comment 8 Kevin Fenzi 2007-06-27 15:41:23 EDT
cvs done (except for FC-5, we are no longer making FC-5 branches since EOL is
less than a week away). 
Comment 9 Jochen Schmitt 2007-07-16 11:11:41 EDT
Question: Why did you not have initiate the update process for F-7?
Comment 10 Matthias Saou 2007-07-16 11:18:16 EDT
Oversight? Sorry. I've requested the push to updates-testing now, and will move
it to updates in a few days.
Comment 11 Fedora Update System 2007-07-16 12:55:33 EDT
re2c-0.12.1-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2007-07-23 11:50:21 EDT
re2c-0.12.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Paul Sand 2015-02-18 11:46:36 EST
Package Change Request
Package Name: re2c
New Branches: epel7
Owners: thias cicku

re2c is used by the MailScanner (http://www.mailscanner.info/) product as a prerequisite.  It would make life somewhat easier for installers if
re2c were available in EPEL 7

Although the instructions say to change the fedora-cvs flag to ?, I can't figure out how to do that, sorry.

Note You need to log in before you can comment on or make changes to this bug.